%define release	2mdk
%define version	0.7.20
%define name	vcdimager

%define major 0
%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
%if %mdkversion <= 900
%define libname libvcd%major
%else
%define libname %mklibname vcd %{major}
%endif
%define cdiover 0.65

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	VideoCD (pre-)mastering and ripping tool
License:	GPL
Group:          Video
Source:         http://savannah.nongnu.org/download/libcdio/libcdio.pkg/0.6/%{name}-%{version}.tar.bz2
URL:            http://www.vcdimager.org
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  libxml2-devel
BuildRequires:  libcdio-devel >= %cdiover
BuildRequires:  popt-devel

%description 
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

VCDRip, which comes with VCDImager, does the reverse operation. That
is, ripping mpeg streams from images (and already burned VideoCDs)
and showing some information about the VideoCD.

%package -n %{libname}
Summary: Libraries from %name
Group: System/Libraries
Provides: libvcd = %version-%release
Requires: libcdio >= %cdiover

%description -n %{libname}
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

VCDRip, which comes with VCDImager, does the reverse operation. That
is, ripping mpeg streams from images (and already burned VideoCDs)
and showing some information about the VideoCD.

%package -n %{libname}-devel
Summary: Devel files from %name
Group: Development/C
Requires: %{libname} = %version-%release
Requires: libcdio-devel >= %cdiover
Provides: libvcd-devel = %version-%release 

 
%description -n %{libname}-devel
This is the libraries, include files and other resources you can use
to incorporate %name into applications.

%package -n %libname-static-devel 
Summary: Static Library for developing applications with %name.
Group: Development/C
Requires: %libname-devel = %version-%release

%description -n %libname-static-devel
This contains the static library of %name needed for building apps that
link statically to %name.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%{version}

%build
%configure2_5x --enable-maintainer-mode
%make

%install
rm -rf "$RPM_BUILD_ROOT"
%makeinstall_std
 
%clean
rm -rf "$RPM_BUILD_ROOT"

%post
%_install_info vcdimager.info

%preun
%_remove_install_info vcdimager.info

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/vcd-info
%{_bindir}/vcdimager
%{_bindir}/vcdxgen
%{_bindir}/vcdxrip
%{_bindir}/vcdxbuild
%{_bindir}/vcdxminfo
%{_bindir}/cdxa2mpeg
%{_infodir}/*
%{_mandir}/man1/*
%files -n %{libname}
%defattr (- ,root,root)
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO
%_includedir/libvcd
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*.pc

%files -n %libname-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a


%changelog
* Sat Jan 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.20-2mdk
- fix deps

* Thu Jan 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.20-1mdk
- enable maintainer mode for the man pages
- requires new libcdio
- use the mdkversion macro
- new version

* Fri Oct 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.19-1mdk
- requires new cdio
- new version

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.18-1mdk
- requires new cdio
- drop the patch
- new version

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.17-3mdk
- removed the bogus requirement added by accident

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.17-2mdk
- patch the pkgconfig files not to depend on glib

* Sun Aug 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.17-1mdk
- add pkgconfig files to the devel package
- new version

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.16-2mdk
- rebuild for new rpm

* Mon Jun 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.16-1mdk
- requires new libcdio
- new version

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.15-1mdk
- libify package
- url
- new version, upgrade to cdio branch as recommended by one of the authors

* Sun Mar 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.14-1mdk
- new version

* Thu Feb 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.13-1mdk
- add new app vcddump
- remove build fix
- new version

* Thu Jan 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.12-4mdk
- explicitely list all binaries, so missing ones will make the build fail 
- fix libxml2 detection

* Mon Jan 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.12-3mdk
- use the right macros (fixes info dir installation)

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.12-2mdk
- rebuild

* Tue Mar 26 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.12-1mdk
- 0.7.12

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.9beta2-1mdk
- updated to beta2

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.9beta1-1mdk
- new in contribs

* Thu Jan  4 2001 Herbert Valerio Riedel <hvr@gnu.org>
- fixed removal of info pages on updating packages

* Sat Dec 23 2000 Herbert Valerio Riedel <hvr@gnu.org>
- added vcdrip
- removed glib dependancy

* Sat Aug 26 2000 Herbert Valerio Riedel <hvr@gnu.org>
- spec file improvements

* Mon Aug 14 2000 Herbert Valerio Riedel <hvr@gnu.org>
- first spec file
